Bug 1491544 - fence_compute: nova compute service is not unfenced [rhel-7.4.z]
Summary: fence_compute: nova compute service is not unfenced [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker
Version: 7.3
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 7.4
Assignee: Ken Gaillot
QA Contact: Marian Krcmarik
URL:
Whiteboard:
Depends On: 1394418
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-14 06:40 UTC by Oneata Mircea Teodor
Modified: 2017-10-19 15:16 UTC (History)
9 users (show)

Fixed In Version: pacemaker-1.1.16-12.el7_4.4
Doc Type: Bug Fix
Doc Text:
Previously, Pacemaker did not implement unfencing for Pacemaker remote nodes. As a consequence, Pacemaker remote nodes remained fenced even if a fence device required unfencing. With this update, Pacemaker correctly implements both fencing and unfencing for Pacemaker remote nodes, and the described problem no longer occurs.
Clone Of: 1394418
Environment:
Last Closed: 2017-10-19 15:16:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2947 normal SHIPPED_LIVE pacemaker bug fix update 2017-10-19 18:51:13 UTC

Description Oneata Mircea Teodor 2017-09-14 06:40:12 UTC
This bug has been copied from bug #1394418 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Ken Gaillot 2017-10-02 19:37:34 UTC
QA: Test procedure:

1. Configure a cluster with at least one cluster node and one Pacemaker Remote node, using fence_scsi as the fencing device.

2. Cause the Pacemaker Remote node to be fenced.

3. Before the fix, the remote node will not be unfenced; after the fix, it will.

Comment 7 errata-xmlrpc 2017-10-19 15:16:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2947


Note You need to log in before you can comment on or make changes to this bug.